Important -  Attention Addon Developers: Migration to Python 3!
#1
urrently, Kodi uses Python 2.7 to run Kodi addons. However, Python 2.x will be end-of-life / end-of support in 2020.
This means the Python software foundation will no longer release updates or fix bugs in Python 2.

Although it's still a few years ahead of us, we decided it's time to start the migration to Python 3, both in Kodi as well as for addons.
Since most of the thousands Kodi addons are not compatible with Python 3, we realize quite a bit of time is needed before every addon developer have found some spare hours to update their addons.

Currently the plan is the following:
  • Kodi 18 (Leia) will still be released with Python 2. No addon changes needed for this release.
  • Kodi 19 (M*) will be released with Python 3 interpreter for running Python-based addons.

There are two options for addon developers:
  1. Update your current addon to be compatible with both Python 2 and Python 3
  2. Create a version of your addon that is compatible with Python 3 only
If you choose option 1, you can submit your addon to any Kodi repo (Gotham, Helix, Isengard, etc...).
In case you prefer option 2, you can keep maintaining the current Python 2 version of your addon and submit the Python 3 version to the Kodi M* repo.

After the release of Kodi 18 (Leia) only addons (new and/or updates) that are compatible with both Python 2 and 3 or Python 3-only will be accepted to the repositories

As of today, we will be releasing test builds of Kodi with Python3 for addon developers so they can develop and test their addons with Python3.
Those builds are labeled Kodi-YYYYMMDD-xxxx-feature_python3-OS.ext and can be found for most platforms here: http://mirrors.kodi.tv/test-builds/
Test builds for Ubuntu can be obtained from this PPA.

There are a number of tools and best practices developed to simplify this process. Please read this Kodi Wiki article for more information and technical details about the migration process.
You can post questions about converting your addon code to Python 3-compatible or share your experience in the Python 3 migration subforum.

As this is going to be quite a big operation, plans may be changed a bit depending on various circumstances, so please keep an eye on the Python 3 subforum.
Do not PM or e-mail Team-Kodi members directly asking for support.
Always read the Forum rules, Kodi online-manual, FAQ, Help and Search the forum before posting.
Reply
#2
Is it possible to install test builds with Python 3 alongside normal v17.x version? (on Windows)
Kodi addons: Lanik repo
Reply
#3
Try the -p flag.

Important!! Do not start the just installed Kodi before you created the shortcut!!
Add-on : Bluray iso utils Rewrite of BR_iso_enhancements
Add-on : BR_iso_Enhancements Give theatrical & directors cut from the same bluray iso each their own library entry, use bluray iso's of tv shows as if they are already ripped.
Reply
 
Thread Rating:
  • 0 Vote(s) - 0 Average



Logout Mark Read Team Forum Stats Members Help
Attention Addon Developers: Migration to Python 3!00